# $Revision: 1.36 $, $Date: 2009/02/25 09:37:04 $
#
# Conditional build:
%bcond_with	serial_console	# enable serial console support
#
Summary:	Thorough, stand alone memory test for i386 systems
Summary(pl.UTF-8):	Kompleksowy, niezależny od OS tester pamięci dla systemów i386
Summary(pt_BR.UTF-8):	Testador de memória completo e independente para sistemas i386
Summary(ru.UTF-8):	Тест памяти для x86-архитектуры
Summary(uk.UTF-8):	Тест пам'яті для x86-архітектури
Name:		memtest86
Version:	3.2
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://www.memtest86.com/%{name}-%{version}.tar.gz
# Source0-md5:	46028d276c39c2eebe7759ba813f97df
Source1:	%{name}.image
Patch0:		%{name}-rover-centrino+c3+amd.patch
Patch1:		%{name}-i686-ld.patch
Patch2:		%{name}-enable_serial_console.patch
URL:		http://www.memtest86.com/
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Memtest86 is thorough, stand alone memory test for i386 architecture
systems. BIOS based memory tests are only a quick check and often miss
failures that are detected by Memtest86.

%description -l pl.UTF-8
Memtest86 jest ciągłym, samodzielnym testerem pamięci dla systemów
architektury i386. Testy pamięci przez BIOS są tylko szybkim
sprawdzeniem i zazwyczaj nie wykrywają błędów znajdywanych przez
memtest86.

%description -l pt_BR.UTF-8
Memtest86 é um testador de memória independente (no sentido de que não
roda sob um sistema operacional) e completo para sistemas i386.

%description -l ru.UTF-8
Memtest86 -- тщательный и самостоятельный тест памяти для x86-систем. Он может
быть загружен или с жесткого диска при помощи LILO/GRUB, или с дискеты.

Тест использует алгоритм "движущихся инверсий", доказавший свою эффективность
при обнаружении сбоев памяти. Не обращайте внимания на "тест" BIOS -- он
практически ничего не значит, так как пропустит много ошибок из тех, которые
обнаружит memtest86.

Также может использоваться для создания загрузочной тест-дискеты.

%description -l uk.UTF-8
Memtest86 -- ретельний та самостійний тест пам'яті для x86-систем. Він
може бути завантажений як з жорсткого диску за допомогою LILO/GRUB, так
і з дискети.

Тест використовує алгоритм "рухаючихся інверсій", який довів свою
ефективність при визначенні негараздів із пам'яттю. Не звертайте уваги
на "тест" BIOS -- він практично нічого не означає, тому що пройде повз
багатьох збоїв з тих, що знаходить memtest86.

Також може використовуватися для створення завантажувальної
тест-дискети.

%package -n rc-boot-image-memtest86
Summary:	memtest86 image for rc-boot
Summary(pl.UTF-8):	Obraz memtest86 dla rc-boot
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	rc-boot

%description -n rc-boot-image-memtest86
memtest86 image for rc-boot.

%description -n rc-boot-image-memtest86 -l pl.UTF-8
Obraz memtest86 dla rc-boot.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{?with_serial_console:%patch2 -p1}

%build
%{__make} \
	CC="%{__cc}" \
	CCFLAGS="%{rpmcflags} -fomit-frame-pointer -fno-builtin" \
	SHELL=/bin/sh

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images/%{name}

install -d $RPM_BUILD_ROOT/boot
install memtest.bin $RPM_BUILD_ROOT/boot/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n rc-boot-image-memtest86
/sbin/rc-boot 1>&2 || :

%post -n rc-boot-image-memtest86
/sbin/rc-boot 1>&2 || :

%files
%defattr(644,root,root,755)
%doc README
/boot/%{name}

%files -n rc-boot-image-memtest86
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-boot/images/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: memtest86.spec,v $
Revision 1.36  2009/02/25 09:37:04  jajcus
- serial_console bcond added
- Release: 3

Revision 1.35  2008/12/10 18:55:27  gotar
- s#/boot/memtest86.vmlinuz#/boot/memtest86# (no reason given for 3 weeks)

Revision 1.34  2008/01/06 22:51:55  arvenil
- added image config for rc-boot
- s#/boot/memtest86#/boot/memtest86.vmlinuz#
- release 2

Revision 1.33  2007-02-13 06:46:53  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.31  2006/05/25 22:12:26  glen
- more ru_RU -> ru, uk_UA -> uk changes

Revision 1.30  2006/05/25 21:54:13  wiget
- ru_RU -> ru, uk_UA -> uk in lang codes

Revision 1.29  2004/12/16 14:43:13  qboosh
- updated to 3.2, updated rover-centrino+c3+amd patch

Revision 1.28  2004/04/18 20:14:20  qboosh
- removed obsolete vars patch, restored missing head.S changes in ...c3+amd patch

Revision 1.27  2004/04/14 11:16:00  agaran
- 2 patches fixed, still vars patch need review

Revision 1.26  2004/04/14 10:21:13  agaran
- updated to 3.1a, nfy
- patches commented, update needed

Revision 1.25  2003/12/06 12:38:42  qboosh
- added i686-ld patch

Revision 1.24  2003/12/06 08:02:18  undefine
- ru/uk descriptions, patches to support athlon xp etc.. processors from ALT Linux

Revision 1.23  2003/12/06 07:41:41  undefine
- release 2 to rebuild with ac

Revision 1.22  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:50:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/21 16:14:52  radek
- removed bogus es summary/description, better pl/en summaries
- (any ideas why compilation fails?)

Revision 1.19  2003/01/22 09:44:08  radek
- updated Source0 URL

Revision 1.18  2002/05/26 21:18:08  filon
- added vars.patch to fix build
- removed checking of gcc version (works now)

Revision 1.17  2002/05/26 19:36:53  kloczek
- merge translations from Coenctiva.

Revision 1.16  2002/05/26 19:21:32  klark
- update to 3.0
- new %%doc
- STBR

Revision 1.15  2002/04/29 18:40:05  filon
- use -dumpversion option for gcc to get it's number (works with gcc3.1)

Revision 1.14  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.13  2002/03/17 13:51:31  qboosh
- use -O for gcc 3.0.x only, -O2 works with gcc 2.95.4
- release 2

Revision 1.12  2002/03/09 09:43:07  filon
- updated to 2.9
- shold not be built with -O2, appended -O to flags
- builds now, STBR

Revision 1.11  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/24 05:30:47  kloczek
- cosmetics.

Revision 1.9  2002/01/23 00:22:28  filon
- updated to 2.8a
- funny way of removing letter form %%version for dirname

Revision 1.8  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/03 12:13:14  qboosh
- updated URLs
- pl translations

Revision 1.6  2001/07/18 08:42:27  undefine
- updated to 2.7
- removed Obsoletes: memtester

Revision 1.5  2001/04/24 04:17:46  kloczek
- added Obsoletes for memtester.

Revision 1.4  2001/04/24 04:08:17  kloczek
- fixed (my) bug in %install.

Revision 1.3  2001/04/24 04:06:06  kloczek
- typos.

Revision 1.2  2001/04/24 03:38:34  kloczek
- cosmetics.

Revision 1.1  2001/04/14 17:53:37  saq
- initial, working spec. STB
